# xmlpp Namespace Reference

## Classes

class | Attribute
| Represents XML Node attributes. More...
class | Document
| Represents an XML document in the DOM model. More...
class | Dtd
| Represents XML DTDs. More...
class | KeepBlanks
| This class set KeepBlanksDefault and IndentTreeOutput of libxmlpp and restore their initial value in its destructor. More...
class | NonCopyable
| Herited by classes which cannot be copied. More...
class | Schema
| Represents an XML Schema. More...
class | exception
| Base class for all xmlpp exceptions. More...
class | parse_error
| This exception will be thrown when the parser encounters an error in the XML document. More...
class | validity_error
| This exception will be thrown when the parser encounters a validity error in the XML document. More...
class | internal_error
class | IStreamParserInputBuffer
class | OutputBuffer
| Base class for xmlOutputBuffer wrapper. More...
class | OStreamOutputBuffer
| An OutputBuffer implementation that send datas to a std::ostream. More...
class | ParserInputBuffer
| Base class for xmlParserInputBuffer wrapper. More...
class | CdataNode
| CData node. More...
class | CommentNode
| Comment Node. More...
class | ContentNode
| Content Node. More...
class | Element
| Element nodes have attributes as well as child nodes. More...
class | EntityReference
| Entity references refer to previously declared entities. More...
class | Node
| Represents XML Nodes. More...
class | ProcessingInstructionNode
class | TextNode
| Text Node. More...
class | Parser
| XML parser. More...
class | SaxParser
| SAX XML parser. More...
class | DomParser
| DOM XML parser. More...
class | TextReader
| A TextReader-style XML parser A reader that provides fast, non-cached, forward-only access to XML data, in the style of .Net's XmlTextReader class. More...
class | DtdValidator
| XML DOM parser. More...
class | SchemaValidator
| Schema Validator. More...
class | Validator
| XML parser. More...

## Typedefs

typedef std::vector< Node* > | NodeSet

## Enumerations

enum | XmlEntityType { XML_INTERNAL_GENERAL_ENTITY = 1, XML_EXTERNAL_GENERAL_PARSED_ENTITY = 2, XML_EXTERNAL_GENERAL_UNPARSED_ENTITY = 3, XML_INTERNAL_PARAMETER_ENTITY = 4, XML_EXTERNAL_PARAMETER_ENTITY = 5, XML_INTERNAL_PREDEFINED_ENTITY = 6 }

## Typedef Documentation

typedef std::vector<Node*> xmlpp::NodeSet

## Enumeration Type Documentation

enum xmlpp::XmlEntityType

Enumerator:

  XML_INTERNAL_GENERAL_ENTITY |
  XML_EXTERNAL_GENERAL_PARSED_ENTITY |
  XML_EXTERNAL_GENERAL_UNPARSED_ENTITY |
  XML_INTERNAL_PARAMETER_ENTITY |
  XML_EXTERNAL_PARAMETER_ENTITY |
  XML_INTERNAL_PREDEFINED_ENTITY |